<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."buddy_system_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."buddy_system_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."buddy_system_panel/locale/Danish.php";
}

// Infusion general information
$inf_title = $locale['BUD107'];
$inf_description = $locale['BUD108'];
$inf_version = "1.00";
$inf_developer = "Carsten Puka";
$inf_email = "webmaster@carstenpukass.de";
$inf_weburl = "http://www.carstenpukass.de";

$inf_folder = "buddy_system_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = ""; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx103']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = ""; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "buddy (
			buddy_user_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
			buddy_buddy_id SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
			PRIMARY KEY (buddy_user_id,buddy_buddy_id)
			) TYPE=MyISAM;";

$inf_droptable_[1] = "buddy";
?>